[Gpg4win-commits] [git] Gpg4win - branch, master, updated. gpg4win-3.0.1-16-g4ad2a2d

by Andre Heinecke cvs at cvs.gnupg.org
Fri Dec 8 10:30:51 CET 2017


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG for Windows".

The branch, master has been updated
       via  4ad2a2d7cee2f28db00a93484cf95124540ae3b3 (commit)
       via  390311833f6434117b07b1561f7122cab477fc1e (commit)
       via  f009ceaf2c252f9947ed2f3a78c3f75345b00adf (commit)
      from  c4edbf71a729c1823daa88064bcd849d02ed93a9 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 4ad2a2d7cee2f28db00a93484cf95124540ae3b3
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Fri Dec 8 10:30:38 2017 +0100

    Update libkleo, kde-l10n and kleopatra
    
    --

diff --git a/packages/packages.current b/packages/packages.current
index 2f487a6..8be6ed0 100644
--- a/packages/packages.current
+++ b/packages/packages.current
@@ -524,23 +524,24 @@ chk  d7b8f5456192349df14287f5e5222f1e44102b36a7558c98fa09a9251957e808
 # last changed: see package date.
 # by: ah
 # verified: Tarball created by ah.
-file libkleo/libkleo-201712071630.tar.gz
-chk 41f7a2f332fc85aab2033d987ae78b0e32ee5949d899133ad43257a09099a91f
+file libkleo/libkleo-201712081028.tar.gz
+chk 6102a00943999e6f4a71515587d83b3b4ac448a7c81ef1fcc3b8894888f87147
 
 # KDE-L10n
 # last changed: see package date.
 # by: ah
 # verified: Tarball created by ah with script kde-l10n.sh
-file kde-l10n/kde-l10n-201712051336-bin.tar.xz
-chk fc19c323068741480c442ab536fc8f8e69f568ef8e4ccbb471670fd52aaf4833
+file kde-l10n/kde-l10n-201712080943-bin.tar.xz
+chk 9c3da7c8b99c9f3eff5b0bd57fc5d100ebfcc3717516a5e2e7261481503943b8
 
 
-file kde-l10n/kde-l10n-201712051336-src.tar.xz
-chk 77dbf940d547d33b1dc56a8423cbf81ed56a269fa8fa2749b3b8922923d6c735
+
+file kde-l10n/kde-l10n-201712080943-src.tar.xz
+chk 4e6993d5a28de4f4338d96de0edb5d7cb9243976d647162d0539b021a853bafb
 
 # Kleopatra
 # last changed: see package date.
 # by: ah
 # verified: Tarball created by ah.
-file kleopatra/kleopatra-201712071631.tar.gz
-chk 53574b97abe742dd689ff3feda32f11d0c9482556aff35233ed791ed6c9edb2b
+file kleopatra/kleopatra-201712081026.tar.gz
+chk 389f5f58c2ca9207331f701679dce475f2c7cfd5c43cfb3212b6df81314d4704

commit 390311833f6434117b07b1561f7122cab477fc1e
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Fri Dec 8 10:25:37 2017 +0100

    Add patch for GpgOL
    
    * patches/gpgol-2.0.5/0001-Fix-g-sync-account-warning.patch: New.
    
    --
    This fixes wrong warnings and their encoding

diff --git a/Makefile.am b/Makefile.am
index 2e18138..526fc67 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -52,7 +52,9 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
         patches/gpgex-1.0.4/0001-Prefer-kleowrapped-gpgwrapped-binaries.patch \
         patches/gpgex-1.0.4/0002-Fix-loop-logic-error-in-new-server-name-detection.patch \
         patches/extra-cmake-modules/0001-Use-BIN_INSTALL_DIR-data-for-DATAROOTDIR-on-Windows.patch \
-        patches/gpa-0.9.10/0001-w32-Make-location-of-locale-dir-more-flexible.patch
+        patches/gpa-0.9.10/0001-w32-Make-location-of-locale-dir-more-flexible.patch \
+        patches/gpgol-2.0.5/0001-Fix-g-sync-account-warning.patch
+
 
 copy-news:
 	cp NEWS doc/website/NEWS.last
diff --git a/patches/gpgol-2.0.5/0001-Fix-g-sync-account-warning.patch b/patches/gpgol-2.0.5/0001-Fix-g-sync-account-warning.patch
new file mode 100755
index 0000000..8082109
--- /dev/null
+++ b/patches/gpgol-2.0.5/0001-Fix-g-sync-account-warning.patch
@@ -0,0 +1,109 @@
+#! /bin/sh
+patch -p1 -l -f $* < $0
+exit $?
+
+From c574893790b041dca19b8fe6fd45fe10b0b8b58e Mon Sep 17 00:00:00 2001
+From: Andre Heinecke <aheinecke at intevation.de>
+Date: Fri, 8 Dec 2017 10:21:35 +0100
+Subject: [PATCH] Fix g sync account warning
+
+* src/mail.cpp (Mail::encrypt_sign): Handle encoding
+(Mail::Mail): Initialize check correctly.
+---
+ src/mail.cpp | 47 +++++++++++++++++++++++++++++++++--------------
+ 1 file changed, 33 insertions(+), 14 deletions(-)
+
+diff --git a/src/mail.cpp b/src/mail.cpp
+index dd58f6d..be7be31 100644
+--- a/src/mail.cpp
++++ b/src/mail.cpp
+@@ -130,7 +130,9 @@ Mail::Mail (LPDISPATCH mailitem) :
+     m_needs_encrypt(false),
+     m_moss_position(0),
+     m_crypto_flags(0),
+-    m_type(MSGTYPE_UNKNOWN)
++    m_type(MSGTYPE_UNKNOWN),
++    m_do_inline(false),
++    m_is_gsuite(false)
+ {
+   if (get_mail_for_item (mailitem))
+     {
+@@ -995,46 +997,63 @@ Mail::encrypt_sign ()
+       int n_att_usable = count_usable_attachments (att_table);
+       mapi_release_attach_table (att_table);
+       /* Check for attachments if we have some abort. */
++
++      wchar_t *w_title = utf8_to_wchar (_(
++                              "GpgOL: Oops, G Suite Sync account detected"));
+       if (n_att_usable)
+         {
+-          MessageBox (window,
++          wchar_t *msg = utf8_to_wchar (
+                       _("G Suite Sync breaks outgoing crypto mails "
+                         "with attachments.\nUsing crypto and attachments "
+                         "with G Suite Sync is not supported.\n\n"
+-                        "See: https://dev.gnupg.org/T3545 for details."),
+-                      _("GpgOL: Oops, G Suite Sync account detected"),
+-                      MB_ICONINFORMATION|MB_OK);
++                        "See: https://dev.gnupg.org/T3545 for details."));
++          MessageBoxW (window,
++                       msg,
++                       w_title,
++                       MB_ICONINFORMATION|MB_OK);
++          xfree (msg);
++          xfree (w_title);
+           return -1;
+         }
+       if (flags == 2)
+         {
+-          MessageBox (window,
+-                      _("G Suite Sync breaks outgoing signed mails.\n"
++          wchar_t *msg = utf8_to_wchar (
++                       _("G Suite Sync breaks outgoing signed mails.\n"
+                         "Ensuring mail integrity (signing) with G Suite Sync "
+                         "is not supported.\n\n"
+-                        "See: https://dev.gnupg.org/T3545 for details."),
+-                      _("GpgOL: Oops, G Suite Sync account detected"),
+-                      MB_ICONINFORMATION|MB_OK);
++                        "See: https://dev.gnupg.org/T3545 for details."));
++          MessageBoxW (window,
++                       msg,
++                       w_title,
++                       MB_ICONINFORMATION|MB_OK);
++          xfree (msg);
++          xfree (w_title);
+           return -1;
+         }
+       if (flags == 3)
+         {
+-          if(MessageBox (window,
++          wchar_t *msg = utf8_to_wchar (
+                         _("G Suite Sync breaks outgoing signed mails.\n"
+                           "Ensuring mail integrity (signing) with G Suite Sync "
+                           "is not supported.\n\n"
+                           "See: https://dev.gnupg.org/T3545 for details.\n\n"
+-                          "Do you want to only encrypt the message?"),
+-                        _("GpgOL: Oops, G Suite Sync account detected"),
+-                        MB_ICONINFORMATION|MB_YESNO) != IDYES)
++                          "Do you want to only encrypt the message?"));
++          if(MessageBoxW (window,
++                          msg,
++                          w_title,
++                          MB_ICONINFORMATION|MB_YESNO) != IDYES)
+             {
++              xfree (msg);
++              xfree (w_title);
+               return -1;
+             }
+           else
+             {
+               flags = 1;
+             }
++          xfree (msg);
+         }
++      xfree (w_title);
+     }
+
+   m_do_inline = m_is_gsuite ? true : opt.inline_pgp;
+--
+2.11.0

commit f009ceaf2c252f9947ed2f3a78c3f75345b00adf
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Fri Dec 8 09:40:09 2017 +0100

    Install breeze editor icon
    
    --
    Needed in Kleo's details dialog

diff --git a/src/inst-breeze-icons.nsi b/src/inst-breeze-icons.nsi
index c8b4f54..1bc5ec2 100644
--- a/src/inst-breeze-icons.nsi
+++ b/src/inst-breeze-icons.nsi
@@ -70,6 +70,7 @@ Section "-breeze-icons" SEC_breeze_icons
   File ${prefix}/share/icons/breeze/actions/16/edit-redo.svg
   File ${prefix}/share/icons/breeze/actions/16/edit-rename.svg
   File ${prefix}/share/icons/breeze/actions/16/edit-undo.svg
+  File ${prefix}/share/icons/breeze/actions/16/editor.svg
   File ${prefix}/share/icons/breeze/actions/16/go-bottom.svg
   File ${prefix}/share/icons/breeze/actions/16/go-down.svg
   File ${prefix}/share/icons/breeze/actions/16/go-first.svg
@@ -127,6 +128,7 @@ Section "-breeze-icons" SEC_breeze_icons
   File ${prefix}/share/icons/breeze/actions/22/edit-redo.svg
   File ${prefix}/share/icons/breeze/actions/22/edit-rename.svg
   File ${prefix}/share/icons/breeze/actions/22/edit-undo.svg
+  File ${prefix}/share/icons/breeze/actions/22/editor.svg
   File ${prefix}/share/icons/breeze/actions/22/go-bottom.svg
   File ${prefix}/share/icons/breeze/actions/22/go-down.svg
   File ${prefix}/share/icons/breeze/actions/22/go-first.svg
@@ -228,6 +230,7 @@ Section "-breeze-icons" SEC_breeze_icons
   File ${prefix}/share/icons/breeze/actions/32/edit-delete.svg
   File ${prefix}/share/icons/breeze/actions/32/edit-redo.svg
   File ${prefix}/share/icons/breeze/actions/32/edit-undo.svg
+  File ${prefix}/share/icons/breeze/actions/32/editor.svg
   File ${prefix}/share/icons/breeze/actions/32/view-refresh.svg
   File ${prefix}/share/icons/breeze/actions/32/window-close.svg
 
diff --git a/src/uninst-breeze-icons.nsi b/src/uninst-breeze-icons.nsi
index 83af399..6255574 100644
--- a/src/uninst-breeze-icons.nsi
+++ b/src/uninst-breeze-icons.nsi
@@ -60,6 +60,7 @@ Section "-un.breeze-icons"
   Delete "$INSTDIR\share\icons\breeze\actions\32\edit-undo.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\32\edit-redo.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\32\edit-delete.svg"
+  Delete "$INSTDIR\share\icons\breeze\actions\32\editor.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\32\document-revert.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\32\document-print.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\32\document-open.svg"
@@ -124,6 +125,7 @@ Section "-un.breeze-icons"
   Delete "$INSTDIR\share\icons\breeze\actions\24\visibility.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\24\hint.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\22\cell_edit.svg"
+  Delete "$INSTDIR\share\icons\breeze\actions\22\editor.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\22\window-close.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\22\view-refresh.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\22\view-certificate-sign.svg"
@@ -197,6 +199,7 @@ Section "-un.breeze-icons"
   Delete "$INSTDIR\share\icons\breeze\actions\16\list-add.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\16\help-contextual.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\16\help-contents.svg"
+  Delete "$INSTDIR\share\icons\breeze\actions\16\editor.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\16\go-up.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\16\go-top.svg"
   Delete "$INSTDIR\share\icons\breeze\actions\16\go-previous.svg"

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                                        |   4 +-
 packages/packages.current                          |  17 ++--
 .../0001-Fix-g-sync-account-warning.patch          | 109 +++++++++++++++++++++
 src/inst-breeze-icons.nsi                          |   3 +
 src/uninst-breeze-icons.nsi                        |   3 +
 5 files changed, 127 insertions(+), 9 deletions(-)
 create mode 100755 patches/gpgol-2.0.5/0001-Fix-g-sync-account-warning.patch


hooks/post-receive
-- 
GnuPG for Windows
http://git.gnupg.org



More information about the Gpg4win-commits mailing list